﻿using TravelCompanyDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TravelCompanyDataModels.Models.TouristModels;
using TravelCompanyDataModels.Models.OperatorModels;
using TravelCompanyContracts.ViewModels.OperatorViewModels;
using System.Text.Json.Serialization;

namespace TravelCompanyContracts.BindingModels.TouristBindingModels
{
    public class TravelBindingModel : ITravelModel
    {
        public int Id { get; set; }
        public string TravelName { get; set; } = string.Empty;
        public DateTime DateStart { get; set; } = DateTime.Now;
        public string TravelDescription { get; set; } = string.Empty;
        public int TouristId { get; set; }
        public Dictionary<int, ITourModel> TourTravels
        {
            get;
            set;
        } = new();
        public Dictionary<int, IExcursionModel> ExcursionTravels
        {
            get;
            set;
        } = new();
    }
}